log4cpp: log4cpp::Win32DebugAppender Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# log4cpp::Win32DebugAppender Class Reference

Win32DebugAppender simply sends the log message to the default system debugger on Win32 systems. More...

`#include <Win32DebugAppender.hh>`

Inheritance diagram for log4cpp::Win32DebugAppender:

[legend]
Collaboration diagram for log4cpp::Win32DebugAppender:

[legend]
List of all members.

## Public Member Functions
| Win32DebugAppender (const std::string &name)
| Constructor.
virtual | ~Win32DebugAppender ()
| Destructor.
virtual void | close ()
| Close method.
## Protected Member Functions
virtual void | _append (const LoggingEvent &event)
| Method that does the actual work.

## Detailed Description

Win32DebugAppender simply sends the log message to the default system debugger on Win32 systems.

This is useful for users of MSVC and Borland because the log messages will show up in the debugger window.
NB: This class is only available on Win32 platforms.

## Constructor & Destructor Documentation

log4cpp::Win32DebugAppender::Win32DebugAppender | ( | const std::string & | name | ) |

Constructor.

Parameters:

  | name | Name used by the base classes only.

log4cpp::Win32DebugAppender::~Win32DebugAppender | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

void log4cpp::Win32DebugAppender::close | ( |  | ) | `[virtual]`

Close method.

This is called by the framework, but there is nothing to do for the OutputDebugString API, so it simply returns.

Implements log4cpp::AppenderSkeleton.

void log4cpp::Win32DebugAppender::_append | ( | const LoggingEvent & | event | ) | `[protected, virtual]`

Method that does the actual work.

In this case, it simply sets up the layout and calls the OutputDebugString API.

Parameters:

  | event | Event for which we are logging.

Implements log4cpp::AppenderSkeleton.

The documentation for this class was generated from the following files:

- Win32DebugAppender.hh
- Win32DebugAppender.cpp